package com.boman.system.api.factory;

import com.boman.domain.dto.AjaxResult;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;
import org.springframework.web.multipart.MultipartFile;
import com.boman.domain.dto.R;
import com.boman.system.api.RemoteFileService;
import com.boman.domain.SysFile;
import feign.hystrix.FallbackFactory;

/**
 * 文件服务降级处理
 * 
 * @author ruoyi
 */
@Component
public class RemoteFileFallbackFactory implements FallbackFactory<RemoteFileService>
{
    private static final Logger log = LoggerFactory.getLogger(RemoteFileFallbackFactory.class);

    @Override
    public RemoteFileService create(Throwable throwable)
    {
        log.error("文件服务调用失败:{}", throwable.getMessage());
        return new RemoteFileService()
        {
            @Override
            public R<SysFile> upload(MultipartFile file)
            {
                return R.fail("上传文件失败:" + throwable.getMessage());
            }

            /**
             * 通用上传请求
             *
             * @param base64
             */
            @Override
            public AjaxResult uploadFileBase64(String base64) {
                return AjaxResult.error("上传文件失败:" + throwable.getMessage());
            }
        };
    }
}
